<div class="justify-content-center align-items-center d-flex custom-color" style="height: 100vh; background-color: #A0F6D2">
  <div class="py-5 align-items-center">
    <div class="container">
      <div class="row justify-content-center align-items-center">
        <div class="col-md-6 d-flex justify-content-center align-items-center"><a href="/" target="_self"><img class="img-fluid d-block mb-5"
            src="./../../../assets/images/logo.png" style="width: 500px"></a></div>
        <div class="col-md-6 p-4">
          <h1 class="pb-4"><b>Registration</b></h1>
          <form [formGroup]="signupForm" *ngIf="!registered">
            <div class="mt-2">
              <label for="name">Name</label>
              <input type="text" class="form-control" formControlName="name" id="name" name="name"
                placeholder="Enter your name" required minlength="1">
            </div>
            <div class="mt-2">
              <label for="documentNumber">DNI / NIE</label>
              <input type="text" class="form-control" formControlName="documentNumber" id="documentNumber"
                name="documentNumber" placeholder="Enter your document number" required minlength="1">
            </div>
            <div class="mt-2">
              <label for="address">Address</label>
              <input type="text" class="form-control" formControlName="address" id="address" name="address"
                placeholder="Enter your address" required minlength="1">
            </div>
            <button type="button" class="btn btn-outline-custom mt-4" (click)="createUser()" [disabled]="!signupForm.valid">Sign up</button>
            <button type="button" class="btn btn-outline-success mt-4 float-right"
              (click)="fillFormRandomValues()">FOR DEVELOPMENT - Fill form</button>
          </form>
          <div *ngIf="registered" class="alert alert-success mt-4" role="alert">
            <div class="row">
              <div class="col-8">
                <b>Registration Complete!</b>
              </div>
              <div class="col">
                  <a class="btn btn-sm btn-outline-custom float-right" href="/user-area">Log in</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
